# This file created by conda-build 3.21.5
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/cartopy-0.18.0-python_3.8-on-linux_64, last modified Fri Oct  1 17:27:57 2021
# ------------------------------------------------

package:
  name: cartopy
  version: 0.18.0
source:
  sha256: 7ffa317e8f8011e0d965a3ef1179e57a049f77019867ed677d49dcc5c0744434
  url: https://pypi.io/packages/source/C/Cartopy/Cartopy-0.18.0.tar.gz
build:
  error_overlinking: true
  number: '1'
  string: py38hc576cba_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - blas 1.0 mkl
    - c-ares 1.17.1 h27cfd23_0
    - ca-certificates 2021.10.26 h06a4308_2
    - certifi 2021.10.8 py38h06a4308_0
    - cython 0.29.24 py38hdbfa776_0
    - geos 3.8.0 he6710b0_0
    - intel-openmp 2021.4.0 h06a4308_3561
    - jpeg 9d h7f8727e_0
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libcurl 7.78.0 h0b77cf5_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgfortran-ng 7.5.0 ha8ba4b0_17
    - libgfortran4 7.5.0 ha8ba4b0_17
    - libgomp 9.3.0 h5101ec6_17
    - libnghttp2 1.41.0 hf8bcb03_2
    - libssh2 1.9.0 h1ba5d50_1
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libtiff 4.2.0 h85742a9_0
    - libwebp-base 1.2.0 h27cfd23_0
    - lz4-c 1.9.3 h295c915_1
    - mkl 2021.4.0 h06a4308_640
    - mkl-service 2.4.0 py38h7f8727e_0
    - mkl_fft 1.3.1 py38hd3c417c_0
    - mkl_random 1.2.2 py38h51133e4_0
    - ncurses 6.3 h7f8727e_0
    - numpy 1.16.6 py38h2d18471_3
    - numpy-base 1.16.6 py38hdc34a94_3
    - openssl 1.1.1l h7f8727e_0
    - pip 21.2.4 py38h06a4308_0
    - proj 7.0.1 h59a7b90_1
    - python 3.8.12 h12debd9_0
    - readline 8.1 h27cfd23_0
    - setuptools 58.0.4 py38h06a4308_0
    - six 1.16.0 pyhd3eb1b0_0
    - sqlite 3.36.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - wheel 0.37.0 pyhd3eb1b0_1
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
    - zstd 1.4.9 haebb681_0
  run:
    - geos >=3.8.0,<3.8.1.0a0
    - libgcc-ng >=7.5.0
    - libstdcxx-ng >=7.5.0
    - matplotlib-base >=1.5.1
    - numpy >=1.16.6,<2.0a0
    - proj <8.0.0
    - proj >=7.0.1,<7.0.2.0a0
    - pyshp >=1.1.4
    - python >=3.8,<3.9.0a0
    - scipy >=0.10
    - shapely >=1.5.6
    - six >=1.3.0
test:
  commands:
    - python -c "import cartopy.crs as ccrs; import matplotlib.pyplot as plt; ax =
      plt.axes(projection=ccrs.PlateCarree())"
  imports:
    - cartopy
    - cartopy.crs
    - cartopy.mpl.geoaxes
about:
  dev_url: https://github.com/SciTools/cartopy
  doc_url: https://scitools.org.uk/cartopy/docs/latest/
  home: http://scitools.org.uk/cartopy
  license: LGPL-3
  license_file:
    - COPYING
    - COPYING.LESSER
  summary: A library providing cartographic tools for python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - dopplershift
    - marqh
    - ocefpaf
    - pelson
    - xylar
